{ pkgs ? import <nixpkgs> {}
}:

let
  inherit (blockioPkgs) python3;

  gitRev = "bc41317e24317b0f506287f2d5bab00140b9b50e";
  blockioPkgs = import (fetchTarball "https://github.com/NixOS/nixpkgs/archive/${gitRev}.tar.gz"){};
in

python3.pkgs.buildPythonApplication rec {
  name = "dogetipbot-telegram-${version}";
  version = "1.1";

  src = ./.;

  doCheck = false;

  propagatedBuildInputs = with python3.pkgs; [
    python-telegram-bot
    requests
    block-io
  ];
}
